Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 60)
@@ -230,55 +426,45 @@
             this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label2.CausesValidation = false;
             this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label2.Location = new System.Drawing.Point(12, 72);
+            this.label2.Location = new System.Drawing.Point(12, 63);
             this.label2.Name = "label2";
-            this.label2.Size = new System.Drawing.Size(80, 25);
+            this.label2.Size = new System.Drawing.Size(100, 25);
             this.label2.TabIndex = 7;
             this.label2.Text = "請求先";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // label1
+            // btnEntry
             // 
-            this.label1.BackColor = System.Drawing.Color.White;
-            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label1.Location = new System.Drawing.Point(98, 72);
-            this.label1.Name = "label1";
-            this.label1.Size = new System.Drawing.Size(400, 25);
-            this.label1.TabIndex = 8;
-            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            this.btnEntry.BackColor = System.Drawing.Color.GreenYellow;
+            this.btnEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEntry.ForeColor = System.Drawing.Color.Black;
+            this.btnEntry.Location = new System.Drawing.Point(1072, 547);
+            this.btnEntry.Name = "btnEntry";
+            this.btnEntry.Size = new System.Drawing.Size(120, 28);
+            this.btnEntry.TabIndex = 16;
+            this.btnEntry.Text = "登　録";
+            this.btnEntry.UseVisualStyleBackColor = false;
+            this.btnEntry.Click += new System.EventHandler(this.btnEntry_Click);
             // 
-            // button3
+            // btnEnd
             // 
-            this.button3.BackColor = System.Drawing.Color.GreenYellow;
-            this.button3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.button3.ForeColor = System.Drawing.Color.Black;
-            this.button3.Location = new System.Drawing.Point(1073, 671);
-            this.button3.Name = "button3";
-            this.button3.Size = new System.Drawing.Size(120, 28);
-            this.button3.TabIndex = 16;
-            this.button3.Text = "登　録";
-            this.button3.UseVisualStyleBackColor = false;
-            this.button3.Click += new System.EventHandler(this.button3_Click);
+            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(1198, 547);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 28);
+            this.btnEnd.TabIndex = 15;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
             // 
-            // button2
-            // 
-            this.button2.BackColor = System.Drawing.Color.Magenta;
-            this.button2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.button2.ForeColor = System.Drawing.Color.Black;
-            this.button2.Location = new System.Drawing.Point(1199, 671);
-            this.button2.Name = "button2";
-            this.button2.Size = new System.Drawing.Size(120, 28);
-            this.button2.TabIndex = 15;
-            this.button2.Text = "終　了";
-            this.button2.UseVisualStyleBackColor = false;
-            this.button2.Click += new System.EventHandler(this.button2_Click);
-            // 
             // btnAdd
             // 
             this.btnAdd.BackColor = System.Drawing.Color.Orange;
             this.btnAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnAdd.ForeColor = System.Drawing.Color.Black;
-            this.btnAdd.Location = new System.Drawing.Point(158, 671);
+            this.btnAdd.Location = new System.Drawing.Point(158, 547);
             this.btnAdd.Name = "btnAdd";
             this.btnAdd.Size = new System.Drawing.Size(120, 28);
             this.btnAdd.TabIndex = 17;
@@ -291,7 +477,7 @@
             this.btnOtherProc.BackColor = System.Drawing.Color.Lime;
             this.btnOtherProc.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnOtherProc.ForeColor = System.Drawing.Color.Black;
-            this.btnOtherProc.Location = new System.Drawing.Point(12, 671);
+            this.btnOtherProc.Location = new System.Drawing.Point(12, 547);
             this.btnOtherProc.Name = "btnOtherProc";
             this.btnOtherProc.Size = new System.Drawing.Size(140, 28);
             this.btnOtherProc.TabIndex = 18;
@@ -303,36 +489,183 @@
             // 
             this.lblStatus.BackColor = System.Drawing.Color.GreenYellow;
             this.lblStatus.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.lblStatus.Location = new System.Drawing.Point(1177, 72);
+            this.lblStatus.Location = new System.Drawing.Point(132, 25);
             this.lblStatus.Name = "lblStatus";
-            this.lblStatus.Size = new System.Drawing.Size(141, 26);
+            this.lblStatus.Size = new System.Drawing.Size(35, 16);
             this.lblStatus.TabIndex = 20;
             this.lblStatus.Text = "請求準備";
             this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblStatus.Visible = false;
             // 
+            // label4
+            // 
+            this.label4.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label4.CausesValidation = false;
+            this.label4.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label4.Location = new System.Drawing.Point(594, 64);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(100, 25);
+            this.label4.TabIndex = 21;
+            this.label4.Text = "請求月";
+            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // cbReqMonth
+            // 
+            this.cbReqMonth.BackColor = System.Drawing.Color.White;
+            this.cbReqMonth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cbReqMonth.FormattingEnabled = true;
+            this.cbReqMonth.Location = new System.Drawing.Point(699, 64);
+            this.cbReqMonth.Name = "cbReqMonth";
+            this.cbReqMonth.Size = new System.Drawing.Size(109, 24);
+            this.cbReqMonth.TabIndex = 22;
+            // 
+            // label5
+            // 
+            this.label5.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label5.CausesValidation = false;
+            this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label5.Location = new System.Drawing.Point(819, 64);
+            this.label5.Name = "label5";
+            this.label5.Size = new System.Drawing.Size(100, 25);
+            this.label5.TabIndex = 23;
+            this.label5.Text = "請求回数";
+            this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblReqOrder
+            // 
+            this.lblReqOrder.BackColor = System.Drawing.Color.White;
+            this.lblReqOrder.Location = new System.Drawing.Point(924, 64);
+            this.lblReqOrder.Name = "lblReqOrder";
+            this.lblReqOrder.Size = new System.Drawing.Size(85, 24);
+            this.lblReqOrder.TabIndex = 24;
+            this.lblReqOrder.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnApproval
+            // 
+            this.btnApproval.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.btnApproval.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnApproval.Location = new System.Drawing.Point(3, 5);
+            this.btnApproval.Name = "btnApproval";
+            this.btnApproval.Size = new System.Drawing.Size(130, 27);
+            this.btnApproval.TabIndex = 25;
+            this.btnApproval.Text = "請求書申請";
+            this.btnApproval.UseVisualStyleBackColor = false;
+            this.btnApproval.Click += new System.EventHandler(this.btnApproval_Click);
+            // 
+            // txtOrderer
+            // 
+            this.txtOrderer.BackColor = System.Drawing.Color.White;
+            this.txtOrderer.Location = new System.Drawing.Point(117, 65);
+            this.txtOrderer.Name = "txtOrderer";
+            this.txtOrderer.ReadOnly = true;
+            this.txtOrderer.Size = new System.Drawing.Size(470, 23);
+            this.txtOrderer.TabIndex = 26;
+            this.txtOrderer.TextChanged += new System.EventHandler(this.txtOrderer_TextChanged);
+            this.txtOrderer.Validating += new System.ComponentModel.CancelEventHandler(this.txtOrderer_Validating);
+            // 
+            // button1
+            // 
+            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button1.Location = new System.Drawing.Point(1271, 25);
+            this.button1.Name = "button1";
+            this.button1.Size = new System.Drawing.Size(45, 23);
+            this.button1.TabIndex = 31;
+            this.button1.Text = "･･･";
+            this.button1.UseVisualStyleBackColor = true;
+            this.button1.Visible = false;
+            this.button1.Click += new System.EventHandler(this.button1_Click_1);
+            // 
+            // pnlNormal
+            // 
+            this.pnlNormal.Controls.Add(this.btnApproval);
+            this.pnlNormal.Location = new System.Drawing.Point(1014, 56);
+            this.pnlNormal.Name = "pnlNormal";
+            this.pnlNormal.Size = new System.Drawing.Size(136, 36);
+            this.pnlNormal.TabIndex = 32;
+            // 
+            // pnlApproval
+            // 
+            this.pnlApproval.Controls.Add(this.btnDeny);
+            this.pnlApproval.Controls.Add(this.btnPend);
+            this.pnlApproval.Controls.Add(this.btnAgree);
+            this.pnlApproval.Location = new System.Drawing.Point(1014, 56);
+            this.pnlApproval.Name = "pnlApproval";
+            this.pnlApproval.Size = new System.Drawing.Size(254, 36);
+            this.pnlApproval.TabIndex = 33;
+            this.pnlApproval.Visible = false;
+            // 
+            // btnDeny
+            // 
+            this.btnDeny.BackColor = System.Drawing.Color.Red;
+            this.btnDeny.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDeny.Location = new System.Drawing.Point(169, 5);
+            this.btnDeny.Name = "btnDeny";
+            this.btnDeny.Size = new System.Drawing.Size(80, 27);
+            this.btnDeny.TabIndex = 27;
+            this.btnDeny.Text = "不承認";
+            this.btnDeny.UseVisualStyleBackColor = false;
+            this.btnDeny.Click += new System.EventHandler(this.btnDeny_Click);
+            // 
+            // btnPend
+            // 
+            this.btnPend.BackColor = System.Drawing.Color.Yellow;
+            this.btnPend.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnPend.Location = new System.Drawing.Point(86, 5);
+            this.btnPend.Name = "btnPend";
+            this.btnPend.Size = new System.Drawing.Size(80, 27);
+            this.btnPend.TabIndex = 26;
+            this.btnPend.Text = "保留";
+            this.btnPend.UseVisualStyleBackColor = false;
+            this.btnPend.Click += new System.EventHandler(this.btnPend_Click);
+            // 
+            // btnAgree
+            // 
+            this.btnAgree.BackColor = System.Drawing.Color.Lime;
+            this.btnAgree.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAgree.Location = new System.Drawing.Point(3, 5);
+            this.btnAgree.Name = "btnAgree";
+            this.btnAgree.Size = new System.Drawing.Size(80, 27);
+            this.btnAgree.TabIndex = 25;
+            this.btnAgree.Text = "承認";
+            this.btnAgree.UseVisualStyleBackColor = false;
+            this.btnAgree.Click += new System.EventHandler(this.btnAgree_Click);
+            // 
             // FrmRequestInput
             // 
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
             this.BackColor = System.Drawing.Color.Black;
-            this.ClientSize = new System.Drawing.Size(1330, 710);
+            this.ClientSize = new System.Drawing.Size(1328, 588);
+            this.Controls.Add(this.pnlNormal);
+            this.Controls.Add(this.button1);
+            this.Controls.Add(this.txtOrderer);
+            this.Controls.Add(this.lblReqOrder);
+            this.Controls.Add(this.label5);
+            this.Controls.Add(this.cbReqMonth);
+            this.Controls.Add(this.label4);
             this.Controls.Add(this.lblStatus);
             this.Controls.Add(this.dgv1);
             this.Controls.Add(this.btnOtherProc);
             this.Controls.Add(this.btnAdd);
-            this.Controls.Add(this.button3);
-            this.Controls.Add(this.button2);
-            this.Controls.Add(this.label1);
+            this.Controls.Add(this.btnEntry);
+            this.Controls.Add(this.btnEnd);
             this.Controls.Add(this.label2);
             this.Controls.Add(this.label3);
-            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Controls.Add(this.pnlApproval);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.Margin = new System.Windows.Forms.Padding(4);
             this.MaximizeBox = false;
             this.MinimizeBox = false;
             this.Name = "FrmRequestInput";
-            this.Load += new System.EventHandler(this.Form1_Load);
+            this.Activated += new System.EventHandler(this.FrmRequestInput_Activated);
+            this.Load += new System.EventHandler(this.FrmRequestInput_Load);
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).EndInit();
+            this.pnlNormal.ResumeLayout(false);
+            this.pnlApproval.ResumeLayout(false);
             this.ResumeLayout(false);
+            this.PerformLayout();
 
         }
 
@@ -341,24 +674,48 @@
         private System.Windows.Forms.Label label3;
         private System.Windows.Forms.DataGridView dgv1;
         private System.Windows.Forms.Label label2;
-        private System.Windows.Forms.Label label1;
-        private System.Windows.Forms.Button button3;
-        private System.Windows.Forms.Button button2;
+        private System.Windows.Forms.Button btnEntry;
+        private System.Windows.Forms.Button btnEnd;
         private System.Windows.Forms.Button btnAdd;
         private System.Windows.Forms.Button btnOtherProc;
         private System.Windows.Forms.Label lblStatus;
-        private System.Windows.Forms.DataGridViewTextBoxColumn GridSectionIndex;
-        private System.Windows.Forms.DataGridViewTextBoxColumn GridRowKind;
-        private System.Windows.Forms.DataGridViewTextBoxColumn GridConstructionCode;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col0;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col6;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col8;
-        private System.Windows.Forms.DataGridViewTextBoxColumn col11;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.ComboBox cbReqMonth;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblReqOrder;
+        private System.Windows.Forms.Button btnApproval;
+        private System.Windows.Forms.TextBox txtOrderer;
+        private System.Windows.Forms.Button button1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col001;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col002;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col003;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col004;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col005;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col006;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col007;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col008;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col009;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col010;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col011;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col12;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col13;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col14;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col15;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col16;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col17;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col18;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col19;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col20;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col21;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col22;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col23;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col098;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col99;
+        private System.Windows.Forms.Panel pnlNormal;
+        private System.Windows.Forms.Panel pnlApproval;
+        private System.Windows.Forms.Button btnAgree;
+        private System.Windows.Forms.Button btnDeny;
+        private System.Windows.Forms.Button btnPend;
     }
 }
 
